Bug 1557 - [UPDATE REQUEST] [UPSTREAM UPDATE] glibc
: [UPDATE REQUEST] [UPSTREAM UPDATE] glibc
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 19:50 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:33 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-01-31 19:50:45 MSK
Updated glibc from RHEL6 upstream.

Advisory:
* A logic error caused glibc's DNS code to incorrectly handle rejected responses
from DNS servers. Consequently, after a server returned a REJECT response,
additional servers defined in the /etc/resolv.conf file sometimes failed to be
searched. With this update, glibc properly cycles through the servers listed in
/etc/resolv.conf even if one of them returns the REJECT response, thus fixing
this bug.

http://rhn.redhat.com/errata/RHBA-2013-0212.html

Build lists:
https://abf.rosalinux.ru/build_lists/940266
https://abf.rosalinux.ru/build_lists/940267
Comment 1 Vladimir Potapov 2013-02-01 14:35:55 MSK
glibc-2.12-1.80.res6.7
**************** RHEL Advisory **************
RHBA-2013-0212
A logic error caused glibc's DNS code to incorrectly handle rejected responses
from DNS servers. Consequently, after a server returned a REJECT response,
additional servers defined in the /etc/resolv.conf file sometimes failed to be
searched. With this update, glibc properly cycles through the servers listed in
/etc/resolv.conf even if one of them returns the REJECT response, thus fixing
this bug.
*********************************************
QA Verfifed